<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation of the AdvanceCAB <em>svgawin</em> utility.
</p>

<h2><a name="1">1</a> 
Synopsis
</h2>
<pre>
svgawin [/l] [/u]
</pre>
<h2><a name="2">2</a> 
Description
</h2>
The `svgawin' utility installs and uninstalls the svgawin.sys
driver in Windows NT/2000/XP.
<p>
AdvanceMAME and AdvanceMENU work also without this driver, but
you lose the ability to set an arbitrary video mode.
<p>
If you install it, AdvanceMAME and AdvanceMENU automatically
try to use it before any other driver, unless you set a specific
driver with the `device_video' option in the configuration files.
<p>
You must run this installation utility as Administrator.
<h2><a name="3">3</a> 
Options
</h2>
These are the command line options supported:
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/l
</strong></td></tr><tr><td>
Install and run the driver.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/u
</strong></td></tr><tr><td>
Stop and uninstall the driver.
</td></tr>
</table>
<h2><a name="4">4</a> 
Troubleshooting
</h2>
The svgawin drivers are inherently unsafe because they should coexist
with the normal Windows drivers.
<p>
The most common problem is that the Windows driver sets the video
card in a state that the SVGAWIN driver cannot understand or
restore.
<p>
The only possible solution is to try to reduce the video hardware
acceleration at the minimum in
DisplayProperties/Settings/Advanced/Troubleshooting.
<p>
If you want a stable solution you must use the Linux or DOS
version of AdvanceMAME and AdvanceMENU.
<p>
Alternatively you can try to use two different video boards, one for
Windows and the other for the game display. Check the
`device_svgawin_skipboard' option to control which video board to use.
<h2><a name="5">5</a> 
Tech
</h2>
This driver is used to export at user level some reversed operations
generally available only at kernel level. Specifically you can:
<ul>
<li>
Access the PCI information.
</li>
<li>
Use direct port io.
</li>
<li>
Map and umap physical memory.
</li>
<li>
Call specific IOCTL_VIDEO_* ioctl on the Windows VIDEO driver.
</li>
</ul>
<p>
It doesn't contains any specific video board code. It only exports
these basic services.
<p>
The services interface is detailed in the advance/svgalib/svgawin/driver/svgacode.h
file.


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


